#******************************************************************************
# Author : Enrico Kotze
# Usage  : call "functions.gnu"
#******************************************************************************
join2(s1,s2) = sprintf("%s%s",s1,s2)
join3(s1,s2,s3) = sprintf("%s%s%s",s1,s2,s3)
join4(s1,s2,s3,s4) = sprintf("%s%s%s%s",s1,s2,s3,s4)
join5(s1,s2,s3,s4,s5) = sprintf("%s%s%s%s%s",s1,s2,s3,s4,s5)
join6(s1,s2,s3,s4,s5,s6) = sprintf("%s%s%s%s%s%s",s1,s2,s3,s4,s5,s6)
join7(s1,s2,s3,s4,s5,s6,s7) = sprintf("%s%s%s%s%s%s%s",s1,s2,s3,s4,s5,s6,s7)
join8(s1,s2,s3,s4,s5,s6,s7,s8) = sprintf("%s%s%s%s%s%s%s%s",s1,s2,s3,s4,s5,s6,s7,s8)
#******************************************************************************
# matrix velocity position
mv(m) = (dv*(m-(np-1)/2.)>0) ? dv*(m-(np-1)/2.)+dv/2. : dv*(m-(np-1)/2.)-dv/2.
# velocity radius
mr(r,rp) = (proj==0) ? r : rp #(vmax+0.5*dv)-r
# velocity x-position
xp(t,r,rp) = mr(r,rp)*cos(t)
# velocity y-position
yp(t,r,rp) = mr(r,rp)*sin(t)
# velocity z-position
zp(t,r,rp) = 0. #mr(r,rp)*sin(t)
#******************************************************************************
# primary surface spatial coordinates
px(u,v) = R1 * cos(v) * cos(u) - com
py(u,v) = R1 * cos(v) * sin(u)
pz(u,v) = R1 * sin(v)
# magnetic axes spatial coordinates
mx(u,s) = s * sin(u) * sin(beta) * cos(Psi) - com
my(u,s) = s * sin(u) * sin(beta) * sin(Psi)
mz(u,s) = s * sin(u) * cos(beta)
cx(u,s) = s * sin(u) * rx
cy(u,s) = s * sin(u) * ry
cz(u,s) = s * sin(u) * rz
#******************************************************************************
